ChangeSet 1.1643.36.3, 2004/03/19 13:12:46-08:00, greg@kroah.com

VC: fix bug in vty_init() where vcs_init() was not called early enough.

It was being used before initialized, not nice :(


 drivers/char/vt.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/char/vt.c b/drivers/char/vt.c
--- a/drivers/char/vt.c	Thu Apr 15 10:21:17 2004
+++ b/drivers/char/vt.c	Thu Apr 15 10:21:17 2004
@@ -2602,6 +2602,8 @@
 
 int __init vty_init(void)
 {
+	vcs_init();
+
 	console_driver = alloc_tty_driver(MAX_NR_CONSOLES);
 	if (!console_driver)
 		panic("Couldn't allocate console driver\n");
@@ -2629,7 +2631,6 @@
 #ifdef CONFIG_FRAMEBUFFER_CONSOLE
 	fb_console_init();
 #endif	
-	vcs_init();
 	return 0;
 }
 
